Subject: Re: How to distribute programs compiled on cygwin? FAQ alert
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 3 Sep 2001 21:02:25 -0400

On Mon, Sep 03, 2001 at 04:08:38PM -0700, Srinivas Kommu wrote:
>I have a C program that uses the Win32 API and some curses functions. I was 
>amazed at the speed at which I could develop this program with cygwin and 
>gcc. cygwin is a wonderful thing, indeed. Now my problem is, how do I send 
>this .exe to someone that doesn't use cygwin? Is there a way to get rid of 
>the cygwin-specific dlls out of the executable? I tried -mno-cygwin but that...

There is no way to remove the cygwin DLL from programs that use cygwin.  Sorry.

I couldn't find this info in the FAQ, but it probably should be there.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/